---
title: "Contributing"
section: contributing
---

Spree is an open, community powered project that anyone can contribute to. There are several ways you can help us improve Spree:

* submitting an issue describing a bug or a feature request
* fixing a bug or creating a new feature
* creating a Spree extension
* upgrading old extensions to recent Spree versions
* helping others on Spree slack

## Submitting issues

You can [submit an issue](https://github.com/spree/spree/issues/new/choose) on our [Github Issues tracker](https://github.com/spree/spree/issues)

## Fixing a bug or creating a new feature

Before diving into the Spree codebase we recommend you spend some time to review the [Internals section](/developer/internals/) which will help you understand how Spree works under the hood.

After you're done with that please follow to [Developing Spree guide](/developer/contributing/developing_spree.html)

To find issues you can tackle on we recommend visiting [Spree Contribute page](https://github.com/spree/spree/contribute) which lists issues tagged with [Good First Issue label](https://github.com/spree/spree/issues?q=is%3Aopen+is%3Aissue+label%3A%22Good+First+Issue%22). Those bugs or features are great starting points into Open Source development.

## Creating a Spree extension

Extensions provide additional features and integrations for your Spree store. You can create your own and share with the rest of the community. Before doing so please check our [Extension directory](/extensions) if your desired extension does not exist already. If not [follow Extensions tutorial](/developer/contributing/extensions_tutorial.md) to learn how to create one.

## Upgrading old extensions to recent Spree versions

If you found an extension that does not work with the current Spree version you can read the [Updating Extensions for Spree guide](/developer/contributing/upgrading_extensions.html) to bring it up to speed.

## Helping others on Spree slack

Last but not least, you're invited to [join our slack](http://slack.spreecommerce.org) to help and receive guidance from fellow Spree developers including Spree Core Team.
