---
title: Mail Methods
---

<alert kind="warning">"Spree mail settings has been extracted out into a gem in favor of generic action mailer settings."</alert>

## Introduction

As this has been extracted, please be sure to add [Spree Mail Settings](https://github.com/spree-contrib/spree_mail_settings) to your Gemfile before proceeding if you require this behavior.

The configurable components of your Spree site are managed in the Mail Method Settings panel. You can reach this by going to the Admin Interface and clicking "Configuration" followed by "Mail Method Settings".

![Mail Method Settings](../../../images/user/config/mail_method_settings.jpg)

### Enable Mail Delivery

Checking the "Enable Mail Delivery" option allows all of the confirmation and notification emails, generated by the Spree shopping cart system, to be sent. You may want to disable this option if you want to test the functionality of the store without sending bogus emails.

### Send Mails As

Set this to the email address you want to use as the "From" line on emails that are auto-generated by your store.

### Send Copy of All Mails To

You may want to keep track of the emails your store sends, especially if you have just launched your new e-commerce business. If so, you can configure the system to send a copy of all confirmation and notification emails to the email address you input in this field.

### Intercept Email Address

Setting this option causes any notification emails to be re-routed to a designated email address.

### SMTP Settings

The SMTP Mail Method settings allow you to fully configure your Spree store's server to send out email messages via [SMTP - Simple Mail Transfer Protocol](http://en.wikipedia.org/wiki/Simple_Mail_Transfer_Protocol). A full explanation of how SMTP works is beyond the scope of this user guide, but any changes you or your site's developer need to make can be done through this area of your Admin Interface.
