---
title: Searching Products
---

## Searching Products

When you click the **Products** tab, you will see a dropdown with the **Products settings** on the Admin Interface. Next, click the **Products** tab in the **Products settings**. You are then presented with a summary of all actual products in the shop.

The list shows you the following information about each order:

* **SKU Number** - Product's unique ID.
* **Status** - Shows whether or not the product is available in the store.
* **Name with image** - Actual name and the image visible on the front-end.
* **Master price** - Main price of the product (there may also be different prices for variants).

Next to each product there are 3 buttons.

* **Edit** - Allows you to make [additional changes to product](/user/products/editing_products.html).
* **Clone** - Allows you to make a [duplicate of the product](/user/products/cloning_products.html).
* **Delete** - Allows you to [delete the product](/user/products/deleting_products.html).

![Product Search](../../../images/user/products/products_landing.jpg)

## Filtering products

You may not always want to see every product in the store, as is the Spree default. You may want to view only the products to which you would like to make changes. The default way of sorting products that are present is by the name, but there is also the possibility to sort them by Master price.

You can choose one or more of the following options to narrow your product search, then click the **Filter** button to extend filter options in the dropdown menu.

![Filter products](../../../images/user/products/filtering_products.jpg)

* **Name** - You can filter a particular product by its name.

* **SKU** - Every time you create a product you may want to assign an SKU Number to make a search much faster and simplify shipping flow. You can use that number to search for the product.
